#!/bin/ksh

[ $AAPP_PREFIX ] || { echo "AAPP_PREFIX is not defined"; exit; }
[ -d "$AAPP_PREFIX" ] || { echo "AAPP_PREFIX is not a directory"; exit; }

. $AAPP_PREFIX/ATOVS_CONF

bufr_dump -V || { echo "cannot run bufr_dump. Please add ecCodes bin directory to your PATH defined in ATOVS_ENV8"; exit 1; }

export USE_VASS_SEQUENCE=Y

cat infiles/INIX*.bufr >iras.bufr
eccodes_decodebufr_1c -i iras.bufr IRAS
mv iras.bufr iras_orig.bufr
eccodes_encodebufr_1c -i iras.l1c IRAS
bufr_dump iras.bufr >iras_new_dump.txt
bufr_dump iras_orig.bufr >iras_orig_dump.txt
diff iras_new_dump.txt iras_orig_dump.txt >iras_diffs.txt

cat infiles/INKX*.bufr >mwhs2.bufr
eccodes_decodebufr_1c -i mwhs2.bufr MWHS2
mv mwhs2.bufr mwhs2_orig.bufr
eccodes_encodebufr_1c -i mwhs2.l1c MWHS2
bufr_dump mwhs2.bufr >mwhs2_new_dump.txt
bufr_dump mwhs2_orig.bufr >mwhs2_orig_dump.txt
diff mwhs2_new_dump.txt mwhs2_orig_dump.txt >mwhs2_diffs.txt

